<?php // Blackhole Pro - Responses & Messages

if (!defined('ABSPATH')) exit;

function blackhole_display_message() {
	
	global $blackhole_options;
	
	blackhole_redirect_blocked();
	
	$message_display = isset($blackhole_options['blocked_message']) ? $blackhole_options['blocked_message'] : 'default';
	
	if     ($message_display === 'custom')   $message = blackhole_message_custom();
	elseif ($message_display === 'void')     $message = blackhole_message_void();
	elseif ($message_display === 'redgiant') $message = blackhole_message_redgiant();
	else                                     $message = blackhole_message_default();
	
	$status_code = isset($blackhole_options['status_code']) ? $blackhole_options['status_code'] : '403';
	
	$block_status     = apply_filters('blackhole_block_status',     $status_code);
	$block_protocol   = apply_filters('blackhole_block_protocol',   'HTTP/1.1');
	$block_connection = apply_filters('blackhole_block_connection', 'Connection: Close');
	
	header($block_protocol .' '. $block_status);
	header($block_connection);
	exit($message);
	
}

function blackhole_message_default() {
	
	$message  = '<meta name="robots" content="noindex,nofollow,noarchive,nosnippet,noodp,noydir">';
	$message .= '<h1>'. esc_html__('You have been banned from this site.', 'blackhole-pro') .'</h1>';
	$message .= '<p>'. esc_html__('If you think there has been a mistake, please contact the administrator via proxy server.', 'blackhole-pro') .'</p>';
	
	return apply_filters('blackhole_message_default', $message);
	
}

function blackhole_message_custom() {
	
	global $blackhole_options;
	
	$message = isset($blackhole_options['blocked_custom']) ? $blackhole_options['blocked_custom'] : blackhole_message_default();
	
	return apply_filters('blackhole_message_custom', $message);
		
}

function blackhole_message_void() {
	
	$message = '<style type="text/css">html,body{background-color:black;}</style>';
	
	return apply_filters('blackhole_message_void', $message);
	
}

function blackhole_message_redgiant() {
	
	$styles = 'html,body{width:100%;height:100%;margin:0;padding:0;text-align:center;}body{display:table;color:#fff;background-color:#cc3333;}';
	$styles .= 'h1{display:table-cell;vertical-align:middle;text-transform:uppercase;text-align:center;font-size:72px;}';
	
	$message  = '<html><head><style type="text/css">'. $styles .'</style></head><body>';
	$message .= '<h1>'. esc_html__('Access Denied', 'blackhole-pro') .'</h1></body></html>';
	
	return apply_filters('blackhole_output_redgiant', $message);
	
}