<?php // Blackhole Pro - Contextual Help

if (!defined('ABSPATH')) exit;

function blackhole_get_help_sidebar() {
	
	return '<p><strong>'. esc_html__('More Information', 'blackhole-pro') .'</strong></p>'.
		
		'<p>'. 
			esc_html__('Visit the', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/docs/blackhole/">'. esc_html__('Blackhole Docs', 'blackhole-pro') .'</a> '. esc_html__('at Plugin Planet.', 'blackhole-pro') .
		'</p>'.
		
		'<p>'. 
			esc_html__('Report an issue in the', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/forum/blackhole/">'. esc_html__('Support Forum', 'blackhole-pro') .'</a>. 
			<a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/support/#contact">'. esc_html__('Contact the developer', 'blackhole-pro') .'</a> '. esc_html__('for help.', 'blackhole-pro') .
		'</p>'.
		
		'<p><strong>'. esc_html__('Support Blackhole Pro', 'blackhole-pro') .'</strong></p>'.
		
		'<ul>
			<li><a target="_blank" rel="noopener noreferrer" href="https://monzillamedia.com/donate.html">'. esc_html__('Make a donation&nbsp;&raquo;', 'blackhole-pro') .'</a></li>
			<li><a target="_blank" rel="noopener noreferrer" href="https://wordpress.org/support/plugin/blackhole-bad-bots/reviews/?rate=5#new-post">'. esc_html__('Give 5&#10025; Rating&nbsp;&raquo;', 'blackhole-pro') .'</a></li>
		</ul>'.
				
		'<p><strong>'. esc_html__('Follow &amp; Share', 'blackhole-pro') .'</strong></p>'.
		
		'<ul>
			<li><a target="_blank" rel="noopener noreferrer" href="https://twitter.com/perishable">Follow on Twitter &raquo;</a></li>
			<li><a target="_blank" rel="noopener noreferrer" href="https://twitter.com/intent/tweet?text='. rawurlencode('Blackhole Pro! Trap bad bots in a virtual black hole.') .'&url=https://plugin-planet.com/blackhole-pro/&hashtags=WordPress,security,plugin">Share on Twitter &raquo;</a></li>
			<li><a target="_blank" rel="noopener noreferrer" href="https://www.facebook.com/sharer/sharer.php?quote='. rawurlencode('Blackhole Pro! Trap bad bots in a virtual black hole. #WordPress #security #plugin') .'&u='. rawurlencode('https://plugin-planet.com/blackhole-pro/') .'">Share on Facebook &raquo;</a></li>
		</ul>';
		
}



function blackhole_settings_contextual_help() {
	
	$screen = get_current_screen();
	
	if ($screen->id != 'toplevel_page_blackhole_settings') return;
	
	$screen->set_help_sidebar(blackhole_get_help_sidebar());
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-intro',
			'title' => esc_attr__('Introduction', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Welcome to Blackhole Pro', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Blackhole Pro is a WordPress security plugin that detects and traps bad bots in a', 'blackhole-pro') . 
					' <a target="_blank" rel="noopener noreferrer" href="https://perishablepress.com/blackhole-bad-bots/" title="Protect Your Site with a Blackhole for Bad Bots">'. 
					esc_html__('virtual blackhole', 'blackhole-pro') .'</a>, '.  
					esc_html__('where they are denied access to your entire site. ', 'blackhole-pro') . 
					esc_html__('You can customize Blackhole Pro via the', 'blackhole-pro') .' <a href="'. esc_url(admin_url('admin.php?page=blackhole_settings')) .'">'. esc_html__('Blackhole Settings', 'blackhole-pro') .'</a>, '. 
					esc_html__('and you can manage blocked bots via the', 'blackhole-pro') .' <a href="'. esc_url(admin_url('admin.php?page=blackhole_badbots')) .'">'. esc_html__('Bad Bots Log', 'blackhole-pro') .'</a>.'.
				'</p>'.
				
				'<p><strong>'. esc_html__('Useful Resources', 'blackhole-pro') .'</strong></p>'.
				
				'<ul>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. BBB_URL  .'readme.txt">'.                    esc_html__('View the plugin&rsquo;s readme.txt',      'blackhole-pro') .'</a></li>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/docs/blackhole/">'.              esc_html__('Visit the Blackhole Documentation',       'blackhole-pro') .'</a></li>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/category/tuts+blackhole-pro/">'. esc_html__('Explore some Blackhole Tutorials',        'blackhole-pro') .'</a></li>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/wp/wp-login.php">'.              esc_html__('Log in to your account at Plugin Planet', 'blackhole-pro') .'</a></li>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/forum/blackhole/">'.             esc_html__('Get help in the Support Forum',           'blackhole-pro') .'</a></li>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/support/#contact">'.  esc_html__('Contact the plugin developer for help',   'blackhole-pro') .'</a></li>'.
				'</ul>'.
				
				'<p><strong>'. esc_html__('About the Developer', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Blackhole Pro is developed by', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://twitter.com/perishable">'. esc_html__('Jeff Starr', 'blackhole-pro') .'</a>, '.
					esc_html__('15-year', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/">'. esc_html__('WordPress developer', 'blackhole-pro') .'</a> '.
					esc_html__('and', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://books.perishablepress.com/">'. esc_html__('book author', 'blackhole-pro') .'</a>.'.
				'</p>'
			
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-overview',
			'title' => esc_attr__('Overview', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Bye bye bad bots..', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Bad bots are the worst. They do all sorts of nasty stuff and waste server resources. ', 'blackhole-pro') . 
					esc_html__('Blackhole Pro helps to stop bad bots, spammers, scrapers, and other automated threats. ', 'blackhole-pro') . 
					esc_html__('This increases security and saves precious server resources for your legit visitors.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('How does it work?', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('First the plugin adds a hidden trigger link to the footer of your pages. ', 'blackhole-pro') . 
					esc_html__('You then add a line to your robots.txt file that forbids all bots from following the hidden link. ', 'blackhole-pro') . 
					esc_html__('Bots that then ignore or disobey your robots rules will crawl the link and fall into the trap. ', 'blackhole-pro') . 
					esc_html__('Once trapped, bad bots are denied further access to your entire site. ', 'blackhole-pro') . 
				'</p>'.
				'<p>'. 
					esc_html__('I call it the &ldquo;one-strike&rdquo; rule: bots have one chance to obey your site&rsquo;s robots.txt rules. ', 'blackhole-pro') . 
					esc_html__('Failure to comply results in immediate banishment. ', 'blackhole-pro') .  
					esc_html__('And if that seems too harsh, you can adjust the number of allowed &ldquo;strikes&rdquo; via the plugin&rsquo;s Threshold setting.', 'blackhole-pro') . 
				'</p>'. 
				
				'<p><strong>'. esc_html__('What about human visitors?', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Wait.. what about human visitors? What if they visit the blackhole link? Will they get banned from the site? ', 'blackhole-pro') . 
					esc_html__('Nope. The blackhole link is completely hidden from normal visitors. The only way to discover the link is to snoop around in the page markup. ', 'blackhole-pro') . 
					esc_html__('And even if someone does happen to find the link, it clearly warns against following it. So there is virtually zero chance of false positives. ', 'blackhole-pro') . 
					esc_html__('If you are concerned about any code-inspecting visitors who might find the hidden link, you can adjust the Threshold setting to allow for a few &ldquo;mistakes&rdquo;.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Important note about cache plugins', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Blackhole works with any type of cache plugin where &ldquo;page caching&rdquo; is not enabled. ', 'blackhole-pro') .'</p>'.
				
				'<p>'.
					esc_html__('There are many types of cache plugins. They provide all sorts of different caching mechanisms and features. All caching features work great with Blackhole except for &ldquo;page caching&rdquo;. ', 'blackhole-pro') . 
					esc_html__('With page caching, the required WP init hook may not be fired, which means that plugins like Blackhole are not able to log and ban requests dynamically. Fortunately, some of the most popular cache plugins provide settings that enable full compatibility with Blackhole. ', 'blackhole-pro') . 
					esc_html__('For a complete list, check out', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro-cache-plugins/">'. esc_html__('this post', 'blackhole-pro') .'</a> '. esc_html__('at Plugin Planet.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('How to use Blackhole Pro', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Here is an overview of how to use the plugin:', 'blackhole-pro') .'</p>'.
				
				'<ol>'.
					'<li>'. esc_html__('Visit the License screen to enter your license and enable the plugin', 'blackhole-pro') .'</li>'.
					'<li>'. esc_html__('Visit the &ldquo;Robots Rules&rdquo; setting and add the provided rules to your robots.txt file', 'blackhole-pro') .'</li>'.
					'<li>'. esc_html__('Customize any settings as desired', 'blackhole-pro') .'</li>'.
					'<li>'. esc_html__('Visit the Bad Bots screen to view and manage all blocked bots', 'blackhole-pro') .'</li>'.
				'</ol>'.
				
				'<p><strong>'. esc_html__('A quick tour..', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Here are the various plugin screens available under the Blackhole Pro menu:', 'blackhole-pro') .'</p>'.
				
				'<ul>'.
					'<li>'. esc_html__('Settings &mdash; Provides all plugin settings', 'blackhole-pro') .'</li>'.
					'<li>'. esc_html__('Bad Bots &mdash; Complete log of all blocked bots', 'blackhole-pro') .'</li>'.
					'<li>'. esc_html__('License &mdash; License activation &amp; deactivation', 'blackhole-pro') .'</li>'.
				'</ul>'.
				
				'<p>'. 
					esc_html__('For further information, check out the plugin&rsquo;s', 'blackhole-pro') . 
					' <a target="_blank" rel="noopener noreferrer" href="'. BBB_URL .'readme.txt">'. esc_html__('readme.txt', 'blackhole-pro') .'</a> '. esc_html__('and', 'blackhole-pro') . 
					' <a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/blackhole-pro/">'. esc_html__('homepage', 'blackhole-pro') .'</a> '. esc_html__('at Plugin Planet.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Verify that Blackhole is working', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Here is a tutorial that explains how to', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro-check-plugin-working/">'. esc_html__('verify that Blackhole is working properly', 'blackhole-pro') .'</a>. '.
					esc_html__('Tip: when testing blackhole functionality, remember to do the following:', 'blackhole-pro') . 
				'</p>'.
				
				'<ul>
					<li>'. esc_html__('Uncheck/disable the setting, &ldquo;Logged-in Users&rdquo;', 'blackhole-pro') .'</li>
					<li>'. esc_html__('If testing in Chrome browser, remove the &ldquo;chrome&rdquo; string from &ldquo;Whitelist Bots&rdquo; setting', 'blackhole-pro') .'</li>
					<li>'. esc_html__('Remove your IP address from the &ldquo;Whitelist IP&rdquo; setting', 'blackhole-pro') .'</li>
				</ul>'.
				
				'<p>'.
					esc_html__('Visit the', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro-check-plugin-working/">'. esc_html__('tutorial', 'blackhole-pro') .'</a> '. 
					esc_html__('for complete testing information.', 'blackhole-pro') . 
				'</p>'
			
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-robots',
			'title' => esc_attr__('Robots Rules', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Robots Rules', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('If your site is using the dynamic WP-generated', 'blackhole-pro') .
					' <a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro-virtual-robots/">'. esc_html__('virtual robots.txt file', 'blackhole-pro') .'</a>, '. 
					esc_html__('then the required robots rules are added for you automatically. ', 'blackhole-pro') . 
					esc_html__('You do not need to add anything or make any changes to your robots.txt file in this case.', 'blackhole-pro') .
				'</p>'.
				
				'<p>'. 
					esc_html__('*OR* if your site is using a physical robots.txt on the server, then you need to add the robots rules manually. ', 'blackhole-pro') .
					esc_html__('You can learn more about all of this in the', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://wordpress.org/plugins/blackhole-bad-bots/#installation">'. esc_html__('plugin documentation', 'blackhole-pro') .'</a>.'.
				'</p>'. 
				
				'<p><strong>'. esc_html__('For physical robots.txt files..', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('In order for Blackhole to work properly, add the provided', 'blackhole-pro') . 
					' <a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro-robots-txt/">'. esc_html__('robots rules', 'blackhole-pro') .'</a> '. 
					esc_html__('to your site&rsquo;s robots.txt file. ', 'blackhole-pro') . 
					esc_html__('Simply copy and paste the rules at the end of your robots.txt file, and then upload to your server. ', 'blackhole-pro') .
					esc_html__('For more complex/advanced robots.txt configurations, consult your web developer.', 'blackhole-pro') .  
				'</p>'.
				
				'<p><strong>'. esc_html__('Important:', 'blackhole-pro') .'</strong> '. esc_html__('proper robots.txt syntax is critical for good SEO. So make sure to validate your robots.txt rules after making any changes.', 'blackhole-pro') .'</p>'. 
				
				'<p><strong>'. esc_html__('More Information', 'blackhole-pro') .'</strong></p>'. 
				
				'<p>'. 
					esc_html__('Why are the robots.txt rules necessary? Because you only want to trap &ldquo;bad&rdquo; bots, not good bots. ', 'blackhole-pro') . 
					esc_html__('The robots.txt rules explicitly instruct all bots to NOT crawl the blackhole link. ', 'blackhole-pro') . 
					esc_html__('So any bots that follow the link are disobeying robots.txt and will be banned from further site access.', 'blackhole-pro') .
				'</p>'.
				
				'<p><strong>'. esc_html__('Useful Resources', 'blackhole-pro') .'</strong></p>'.
				
				'<ul>'. 
					'<li><a target="_blank" rel="noopener noreferrer" href="https://www.robotstxt.org/">'. esc_html__('Learn more about robots.txt', 'blackhole-pro') .'</a></li>'. 
					'<li><a target="_blank" rel="noopener noreferrer" href="http://searchenginepromotionhelp.com/m/robots-text-tester/robots-checker.php">'. esc_html__('Check your robots.txt rules', 'blackhole-pro') .'</a></li>'. 
					'<li><a target="_blank" rel="noopener noreferrer" href="https://developers.google.com/search/reference/robots_txt">'. esc_html__('Google&rsquo;s robots.txt specifications', 'blackhole-pro') .'</a></li>'. 
					'<li><a target="_blank" rel="noopener noreferrer" href="https://support.google.com/webmasters/answer/6062596?hl=en">'. esc_html__('How to create a robots.txt file', 'blackhole-pro') .'</a></li>'. 
				'</ul>'.
				
				'<p><strong>'. esc_html__('Tip:', 'blackhole-pro') .'</strong> '. esc_html__('Google also provides a robust robots.txt checker inside of your Google account (Google accounts are free). Worth checking out.', 'blackhole-pro') .'</p>'
				
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-basic-settings',
			'title' => esc_attr__('Basic Settings', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Logged Users', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Enable this setting to disable the Blackhole for logged-in users. ', 'blackhole-pro') . 
					esc_html__('This setting applies only to the front-end of your site. By default, the Admin Area never will be blocked. And that&rsquo;s a good thing.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><em>'. esc_html__('Default: Enabled', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Threshold', 'blackhole-pro') .'</strong></p>'. 
				
				'<p>'. 
					esc_html__('This setting determines how many times a bot can follow the blackhole link before getting banned. ', 'blackhole-pro') . 
					esc_html__('For example, if you set Threshold to 5, a bot will be allowed to follow the blackhole link 5 times before being banned. ', 'blackhole-pro') . 
					esc_html__('Until a bot reaches the threshold level, they will be able to access your entire site (unless otherwise restricted).', 'blackhole-pro') .
				'</p>'.
				
				'<p><em>'. esc_html__('Default: 1', 'blackhole-pro') .'</em></p>'
			
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-email-alerts',
			'title' => esc_attr__('Email Alerts', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Email Alerts', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Enable this setting if you want to receive an email alert each time a bot visits the blackhole link (aka, &ldquo;trigger&rdquo;). ', 'blackhole-pro') . '</p>'.
				
				'<p><em>'. esc_html__('Default: Enabled', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Email Address', 'blackhole-pro') .'</strong></p>'. 
				
				'<p>'. esc_html__('The email address to which email alerts should be sent. Use commas to separate multiple addresses. ', 'blackhole-pro') . '</p>'.
				
				'<p><em>'. esc_html__('Default: Admin email', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Email From', 'blackhole-pro') .'</strong></p>'. 
				
				'<p>'. 
					esc_html__('The address to be used in the &ldquo;From&rdquo; header for email alerts. Use commas to separate multiple addresses. ', 'blackhole-pro') . 
					esc_html__('If your email address is a domain-based address, then this setting should be the same as the previous Email setting. ', 'blackhole-pro') . 
					esc_html__('Otherwise, if you are using a 3rd-party email service, this setting should be a local, domain-based address. ', 'blackhole-pro') . 
					esc_html__('If you find that the email alerts are getting sent to the spam bin, this setting may help.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Important!', 'blackhole-pro') .'</strong></p>'. 
				
				'<p>'.
					esc_html__('If multiple addresses are specified for the setting &ldquo;Email Address&rdquo;, ', 'blackhole-pro') .
					esc_html__('include an equal number of addresses for the setting &ldquo;From Address&rdquo; (in the same order). ', 'blackhole-pro') .
					esc_html__('They should match up.', 'blackhole-pro') .
				'</p>'.
				
				'<p><em>'. esc_html__('Default: Admin email', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Alert Type', 'blackhole-pro') .'</strong></p>'. 
				
				'<p>'. esc_html__('Determines the type of email alert. All alerts sent in plain text. Current options:', 'blackhole-pro') .'</p>'.
				
				'<ul>
					<li>'. esc_html__('Default Message &ndash; Includes basic bot info plus a whois lookup', 'blackhole-pro') .'</li>
					<li>'. esc_html__('Simple Message  &ndash; Includes only basic/minimal bot information', 'blackhole-pro') .'</li>
					<li>'. esc_html__('Custom Message  &ndash; Includes whatever is specified in the next setting', 'blackhole-pro') .'</li>
					<li>'. esc_html__('Daily Report    &ndash; Includes a summary of trapped bots for the past 24 hours', 'blackhole-pro') .'</li>
					<li>'. esc_html__('Weekly Report   &ndash; Includes a summary of trapped bots for the past 7 days', 'blackhole-pro') .'</li>
				</ul>'.
				
				'<p><em>'. esc_html__('Default: Default alert', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Custom Message', 'blackhole-pro') .'</strong></p>'. 
				
				'<p>'. esc_html__('Here you can create a custom email alert using plain text and any of the following shortcodes:', 'blackhole-pro') .'</p>'.
				
				'<code>[ip_address]</code>, <code>[request_uri]</code>, <code>[remote_host]</code>, <code>[user_agent]</code>, <code>[referrer]</code>, '. 
				'<code>[protocol]</code>, <code>[method]</code>, <code>[date]</code>, <code>[whois]</code>, <code>[user]</code>, <code>[code]</code>, '. 
				'<code>[country]</code>, <code>[region]</code>, <code>[city]</code>, <code>[zip]</code>, <code>[hits]</code>, <code>[latest]</code>, '.
				'<code>[site_name]</code>, <code>[domain]</code>, <code>[login]</code>'.  
				
				'<p>'. 
					esc_html__('Learn more about', 'blackhole-pro') . 
					' <a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/blackhole-pro-custom-email-alerts/">'. esc_html__('customizing email alerts', 'blackhole-pro') .'</a>.'.
				'</p>'.
				
				'<p><em>'. esc_html__('Default: blank', 'blackhole-pro') .'</em></p>'
			
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-frontend-display',
			'title' => esc_attr__('Front-End Display', 'blackhole-pro'),
			'content' => 
				
				'<p><strong>'. esc_html__('Warning Message', 'blackhole-pro') .'</strong></p>'. 
				
				'<p>'. 
					esc_html__('This setting determines the type of warning message displayed to bad bots (when they visit the blackhole link). ', 'blackhole-pro') . 
					esc_html__('Default message displays some basic info and a whois lookup on a red background. Simple message displays basic info on a light background. ', 'blackhole-pro') . 
					esc_html__('Basic message displays some basic info and a whois lookup with minimal styles. Custom message may be set up as follows:', 'blackhole-pro') .
				'</p>'.
				
				'<ol>'. 
					'<li>'. esc_html__('Select &ldquo;Custom&rdquo; for the &ldquo;Warning Message&rdquo; setting', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Copy', 'blackhole-pro') .' <code>warning-custom.php</code> '. esc_html__('from the plugin&rsquo;s', 'blackhole-pro') .' <code>/templates/</code> '. esc_html__('directory', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Paste into your theme, for example:', 'blackhole-pro') .' <code>/wp-content/my-theme/warning-custom.php</code></li>'. 
					'<li>'. esc_html__('Customize any of the markup between &ldquo;BEGIN TEMPLATE&rdquo; and &ldquo;END TEMPLATE&rdquo;', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Upload to the server and done', 'blackhole-pro') .'</li>'. 
				'</ol>'.
				
				'<p><strong>'. esc_html__('Tip:', 'blackhole-pro') .'</strong> '. esc_html__('Instead of including the custom template in your theme, you can include via wp-content directory, like:', 'blackhole-pro') .' <code>/wp-content/blackhole/warning-custom.php</code></p>'. 
				
				'<p>'. 
					esc_html__('Learn more about', 'blackhole-pro') . 
					' <a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/blackhole-pro-custom-warning-message/">'. esc_html__('customizing the Warning Message', 'blackhole-pro') .'</a>.'.
				'</p>'.
				
				'<p><em>'. esc_html__('Default: Default message', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Blocked Message', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('This setting determines the type of message displayed to all blocked bots. ', 'blackhole-pro') . 
					esc_html__('Default message displays a simple message. Custom message is defined in the next setting. Into the Void displays a black screen. ', 'blackhole-pro') . 
					esc_html__('Red Giant displays a large message on a red background.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><em>'. esc_html__('Default: Default message', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Custom Message', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Defines a custom message to display to blocked bots. You can use any text/markup. Note: for this to work, &ldquo;Custom&rdquo; must be selected in the previous setting.', 'blackhole-pro') .'</p>'.
				
				'<p><em>'. esc_html__('Default:', 'blackhole-pro') .'<code>&lt;h1>You have been banned from this site.&lt;/h1></code></em></p>'. 
				
				'<p><strong>'. esc_html__('Custom Redirect', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Defines a redirect URL for all blocked bots. Leave blank for no redirect.', 'blackhole-pro') .'</p>'.
				
				'<p><em>'. esc_html__('Default: Blank (no redirect)', 'blackhole-pro') .'</em></p>'
			
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-trigger',
			'title' => esc_attr__('Blackhole Trigger', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Trigger Format', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Defines the format for the blackhole trigger/link. Text displays the default link. Image displays the link using a 1x1 transparent GIF image. Custom trigger may be defined in the next setting.', 'blackhole-pro') .'</p>'.
				
				'<p><em>'. esc_html__('Default: Default trigger', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Trigger Location', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Defines the location of the trigger link in the source code of your pages. Currently there are two options, the footer or after the opening body tag. Note that the open-body-tag option ', 'blackhole-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro-customize-trigger-link/" title="'. esc_html__('Blackhole Pro - Customize Trigger Link', 'blackhole-pro') .'">'. esc_html__('requires theme support', 'blackhole-pro') .'</a>. '. 
					esc_html__('If in doubt, go with the default option.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><em>'. esc_html__('Default: Footer', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Custom Trigger', 'blackhole-pro') .'</strong></p>'. 
				
				'<p>'. esc_html__('Defines a custom link to use for the blackhole trigger. &ldquo;Custom&rdquo; must be selected in the previous setting. Can use text/markup plus any of these shortcodes:', 'blackhole-pro') .'</p>'.
				
				'<ul>'. 
					'<li><code>[text]</code>  = '. esc_html__('Default link text (your site name)', 'blackhole-pro') .'</li>'. 
					'<li><code>[title]</code> = '. esc_html__('Default title attribute (warning message)', 'blackhole-pro') .'</li>'. 
					'<li><code>[href]</code>  = '. esc_html__('Blackhole URL (includes trigger and nonce)', 'blackhole-pro') .'</li>'. 
					'<li><code>[image]</code> = '. esc_html__('Transparent pixel image (includes markup)', 'blackhole-pro') .'</li>'. 
					'<li><code>[nonce]</code> = '. esc_html__('Nonce string (for security)', 'blackhole-pro') .'</li>'. 
				'</ul>'.
				
				'<p>'. 
					esc_html__('Important: don&rsquo;t forget to update your robots.txt rules if you change the trigger/URL. ', 'blackhole-pro') . 
					esc_html__('Also, make sure to include these attributes if defining a custom link:', 'blackhole-pro') . 
				'</p>'.
				
				'<p><em><code>rel="nofollow" style="display:none"</code></em></p>'. 
				
				'<p><em>'. esc_html__('Default: Blank', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Example', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Here is a simple example of a custom trigger to give you a better idea:', 'blackhole-pro') .'</p>'.
				
				'<p><em><code>&lt;a rel="nofollow" style="display:none" href="[href]" title="[title]"&gt;[text]&lt;/a&gt;</code></em></p>'. 
				
				'<p>'. 
					esc_html__('That code results in the same trigger output as the default &ldquo;Text Link&rdquo; option. ', 'blackhole-pro') . 
					esc_html__('So to get started with a custom trigger, you can copy the above code and paste it into the &ldquo;Custom Trigger&rdquo; setting. ', 'blackhole-pro') . 
					esc_html__('That will give you a starting point for further customization. Or, if there are any doubts, just go with the default &ldquo;Text Link&rdquo; option.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Custom Keyword', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('By default the blackhole trigger uses', 'blackhole-pro') .' <code>?blackhole</code> '. 
					esc_html__('as a query-string parameter in the trigger URL. This setting enables you to change it. ', 'blackhole-pro') . 
					esc_html__('Important: do not include the question mark &ldquo;?&rdquo; in the custom keyword. ', 'blackhole-pro') . 
					esc_html__('Choose a *unique* alphanumeric string to avoid conflicts. ', 'blackhole-pro') . 
					esc_html__('Also: don&rsquo;t forget to update your robots.txt rules if you change the trigger/URL. ', 'blackhole-pro') . 
				'</p>'. 
				
				'<p><em>'. esc_html__('Default:', 'blackhole-pro') .' <code>blackhole</code></em></p>'. 
				
				'<p><strong>'. esc_html__('Excluded Pages', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Here you can specify any posts or pages that should NOT include the blackhole link. Use post/page IDs, separated by comma. ', 'blackhole-pro') . 
					esc_html__('Note: this applies to the blackhole link only; any currently blocked bots will continue to be denied access.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><em>'. esc_html__('Default: Blank', 'blackhole-pro') .'</em></p>'.
				
				'<p><strong>'. esc_html__('Disable Trigger', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('When this option is enabled, it stops the plugin from automatically adding the trigger link to all web pages. ', 'blackhole-pro') . 
					esc_html__('This is useful when you want to include the trigger link manually on specific post(s) or page(s). For more information, check out', 'blackhole-pro') .
					' <a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro-manual-trigger-link/" title="'. esc_html__('Blackhole Pro - Display Trigger Link on any Post or Page', 'blackhole-pro') .'">'. esc_html__('this tutorial', 'blackhole-pro') .'</a>.'.
				'</p>'.
				
				'<p><em>'. esc_html__('Default: disabled/unchecked', 'blackhole-pro') .'</em></p>'
				
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-badbots-log',
			'title' => esc_attr__('Bad Bots Log', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Number of Bots', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Defines the number of bots that should be displayed per page in the Bad Bots Log.', 'blackhole-pro') .'</p>'.
				
				'<p><em>'. esc_html__('Default: 10', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Reset Bot Log', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Clears all items from the Bad Bots Log and restores the default/example bot.', 'blackhole-pro') .'</p>'.
				
				'<p><em>'. esc_html__('Default: none (it&rsquo;s just a link)', 'blackhole-pro') .'</em></p>'
			
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-advanced',
			'title' => esc_attr__('Advanced Settings', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Blacklist Bots', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('This setting enables you to always block any bot based on its reported user agent. ', 'blackhole-pro') . 
					esc_html__('When adding user agents to the list, keep the names short, simple, and as unique as possible. Also do not include any special characters. Separate multiple strings with commas. ', 'blackhole-pro') . 
					esc_html__('Note that the plugin&rsquo;s whitelist settings always will override the blacklist settings. Remember to test well. ', 'blackhole-pro') . 
					esc_html__('Learn more about', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro-block-user-agents/">'. esc_html__('blocking user agents', 'blackhole-pro') .'</a> '. esc_html__('at Plugin Planet.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Important:', 'blackhole-pro') .'</strong> '. esc_html__('Commas are used to separate the user-agent strings. Do NOT include them anywhere else.', 'blackhole-pro') .'</p>'.
				
				'<p><strong>'. esc_html__('Whitelist Bots', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Blackhole Pro blocks bad bots via their reported IP address. This setting enables you to whitelist bots based on their reported user agent. ', 'blackhole-pro') . 
					esc_html__('That way you will never block important things like Google, et al. When adding user agents to the list, keep the names short, simple, and as unique as possible. Also do not include any special characters. Separate multiple strings with commas.', 'blackhole-pro') . 
				'</p>'.
				
				'<p>'. 
					'<span class="message-dot"></span><strong>'. esc_html__('Important Message:', 'blackhole-pro') .'</strong> '.
					esc_html__('The &ldquo;Whitelist Bots&rdquo; setting works by checking the bot&rsquo;s reported user agent. Bots often spoof or fake their reported user agent. So if the bot is claiming to be Googlebot, and &ldquo;google&rdquo; is included in the Whitelist Bots setting, the bot will *not* be added to the block list, and will be able to visit your site just like anyone else. ', 'blackhole-pro') . 
					esc_html__('To prevent this, you can remove all entries from the Whitelist Bots setting, so it is empty. That way, there will be no whitelisted user agents to spoof, and all bots will be blocked or not blocked based on their IP address.', 'blackhole-pro') . 
				'</p>'.
				
				'<p>'. 
					esc_html__('The downside to *not* whitelisting any user agents, is that &ldquo;good&rdquo; bots are known to disobey robots.txt and nofollow rules, and thus may fall into the blackhole trap and get blocked from your site. So basically you have a couple of options:', 'blackhole-pro') . 
				'</p>'.
				
				'<ul>'. 
					'<li>'. esc_html__('Recommended approach: leave the whitelist bots in place and let the plugin work as it has for over 10 years. This way, many bad bots will be blocked, but any bots pretending to be Googlebot or any other whitelisted user agent will not be blocked.', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Or, you can remove all entries from the Whitelist Bots setting, and use the &ldquo;Whitelist IPs&rdquo; setting instead. It requires more work to find and add the related IP addresses, but doing so will make it impossible to spoof any user agents.', 'blackhole-pro') .'</li>'. 
				'</ul>'. 
				
				'<p>'. 
					esc_html__('If you go with the second approach, you can find the IP addresses for most bots online. For example, here is how to', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://searchengineland.com/google-publishes-the-list-of-googlebot-ip-addresses-375935">'. esc_html__('get all IP addresses for googlebot', 'blackhole-pro') .'</a>, '. 
					esc_html__('and', 'blackhole-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://searchengineland.com/microsoft-list-of-bingbot-ip-addresses-released-376039">'. esc_html__('all IP addresses for Bingbot', 'blackhole-pro') .'</a>.'. 
				'</p>'.
				
				'<p><strong>'. esc_html__('Important:', 'blackhole-pro') .'</strong> '. esc_html__('Commas are used to separate the user-agent strings. Do NOT include them anywhere else.', 'blackhole-pro') .'</p>'.
				
				'<p>'. 
					esc_html__('Learn more about', 'blackhole-pro') . 
					' <a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro-whitelist-bots/">'. esc_html__('whitelisting bots', 'blackhole-pro') .'</a>.'.
				'</p>'.
				
				'<p><em>'. esc_html__('Default:', 'blackhole-pro') .' a6-indexer, adsbot-google, ahrefsbot, aolbuild, apis-google, baidu, bingbot, bingpreview, butterfly, chrome, cloudflare, duckduckgo, embedly, facebookexternalhit, facebot, googlebot, google page speed, ia_archiver, linkedinbot, mediapartners-google, msnbot, netcraftsurvey, outbrain, pinterest, quora, rogerbot, showyoubot, slackbot, slurp, sogou, teoma, tweetmemebot, twitterbot, uptimerobot, urlresolver, vkshare, w3c_validator, wordpress, wp rocket, yandex</em></p>'. 
				
				'<p><strong>'. esc_html__('Whitelist IPs', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Here you can whitelist bots based on their IP address. ', 'blackhole-pro') . 
					esc_html__('Any IPs entered here will be matched against the reported IP address via regular expression. ', 'blackhole-pro') . 
					esc_html__('So you can do any of the following:', 'blackhole-pro') . 
					
				'<ul>'. 
					'<li>'. esc_html__('Whitelist an individual IP address, like', 'blackhole-pro') .' <code>173.203.204.22</code></li>'. 
					'<li>'. esc_html__('Whitelist a range of sequential IP addresses, like', 'blackhole-pro') .' <code>173.203.</code></li>'. 
					'<li>'. esc_html__('Whitelist a range of IP addresses in CIDR notation, like', 'blackhole-pro') .' <code>173.203.204.22/24</code></li>'. 
				'</ul>'. 
				
				'<p>'. 
					esc_html__('Separate multiple IP/strings with commas. ', 'blackhole-pro') . 
					esc_html__('Note that the plugin automatically adds your server IP address, if it is available. ', 'blackhole-pro') . 
					esc_html__('If you are using anything like caching, load-balancing, or reverse proxy, make sure to add their respective IPs to the whitelist.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Important:', 'blackhole-pro') .'</strong> '. esc_html__('Commas are used to separate the IP addresses. Do NOT include them anywhere else.', 'blackhole-pro') .'</p>'.
				
				'<p><em>'. esc_html__('Default: Your server IP address, your local IP address', 'blackhole-pro') .'</em></p>'.
				
				'<p><strong>'. esc_html__('Whitelist Redirect', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Normally whitelisted bots can access and surf around your site just like any other visitor. ', 'blackhole-pro') . 
					esc_html__('This setting enables you to redirect all bots in your user-agent or IP-address whitelists. ', 'blackhole-pro') . 
					esc_html__('Important: recommended to leave this setting blank unless you know what you are doing.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><em>'. esc_html__('Default: Blank/none', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Status Code', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Defines the HTTP Status Code that is returned with your server&rsquo;s response for all blocked bots. ', 'blackhole-pro') . 
					esc_html__('There are different schools of thought regarding which status code is best for blocking requests. ', 'blackhole-pro') . 
					esc_html__('Recommended to leave at the default setting unless you know what you are doing.', 'blackhole-pro') . 
				'</p>'.
				
				'<p><em>'. esc_html__('Default: 403 Forbidden', 'blackhole-pro') .'</em></p>'. 
				
				'<p><strong>'. esc_html__('Reset Options', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Enables you to restore the default plugin settings. Does not affect the Bad Bots Log.', 'blackhole-pro') .'</p>'.
				
				'<p><em>'. esc_html__('Default: none (it&rsquo;s just a link)', 'blackhole-pro') .'</em></p>'.
				
				
				'<p><strong>'. esc_html__('Reset Reports', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Enables you to reset the report status for all bad bots. Applies only when daily or weekly reports are enabled.', 'blackhole-pro') .'</p>'.
				
				'<p><em>'. esc_html__('Default: none (it&rsquo;s just a link)', 'blackhole-pro') .'</em></p>'.
				
				
				'<p><strong>'. esc_html__('Notes', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Just FYI, any items specified in the whitelist settings will never be blocked. I.e., the whitelist settings always take precedence and override all other options.', 'blackhole-pro') .'</p>'
			
		)
	);
	
	do_action('blackhole_settings_contextual_help', $screen);
	
}
add_action('load-toplevel_page_blackhole_settings', 'blackhole_settings_contextual_help');



function blackhole_badbots_contextual_help() {
	
	$screen = get_current_screen();
	
	if ($screen->id != 'blackhole-pro_page_blackhole_badbots') return;
	
	$screen->set_help_sidebar(blackhole_get_help_sidebar());
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-badbots',
			'title' => esc_attr__('Bad Bots Log', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Welcome to Blackhole..', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('On this screen you will find a complete log of all blocked bots. Everything should be self-explanatory, but there are a few tricks worth knowing:', 'blackhole-pro') .'</p>'. 
				
				'<ul>'. 
					'<li>'. esc_html__('The plugin provides an example/fake bad bot that may be deleted', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Use the &ldquo;Sort by&rdquo; menu to sort the bots by any field', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Use the &ldquo;Page&rdquo; menu to jump to any page', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Use the &ldquo;Next&rdquo; and &ldquo;Previous&rdquo; buttons to navigate thru results', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Use the &ldquo;Search&rdquo; menu to refine your search', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('To delete any bot(s), check the box and click the &ldquo;Delete&rdquo; button', 'blackhole-pro') .'</li>'.
					'<li>'. esc_html__('To whitelist any bot(s) based on IP address, check the box and click the &ldquo;Whitelist IP&rdquo; button', 'blackhole-pro') .'</li>'.
					'<li>'. esc_html__('To whitelist any bot(s) based on user agent, check the box and click the &ldquo;Whitelist User Agent&rdquo; button', 'blackhole-pro') .'</li>'.
					'<li>'. esc_html__('Hover your cursor over the logged date to view the latest-hit date', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Hover your cursor over the Request info to view the reported HTTP Protocol', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('You can change the number of bots per page via Settings &gt; &ldquo;Number of Bots&rdquo;', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('You can clear all bots AND restore the default bot via Settings &gt; &ldquo;Reset Bot Log&rdquo;', 'blackhole-pro') .'</li>'. 
				'</ul>'. 
				
				'<p><strong>'. esc_html__('Notes', 'blackhole-pro') .'</strong></p>'.
				
				'<ul>'. 
					'<li>'. esc_html__('Any unavailable bot data will be specified with [n/a]. This is perfectly normal, as many bad bots hide their information.', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('For any bots with [n/a] infos, you can click the &ldquo;Refresh Geo&rdquo; link to try a new GeoIP lookup.', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Unknown Geo/IP lookups will be identified with a circled question mark &ldquo;?&rdquo; icon (instead of a country flag).', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Clicking &ldquo;Whitelist IP&rdquo; or &ldquo;Whitelist User Agent&rdquo; adds any selected bot(s) to the respective Whitelist setting and removes the bot(s) from the Bad Bots Log.', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('When daily or weekly reports are enabled, small dots are displayed in the upper-right corner of each row. Green dot means the bot has been included in email reports. Grey means bot has not yet been reported.', 'blackhole-pro') .'</li>'. 
				'</ul>'
			
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-add-badbot',
			'title' => esc_attr__('Add Bad Bot', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Add bot', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Here you can manually add a bot to the virtual blackhole:', 'blackhole-pro') .'</p>'. 
				
				'<ol>'. 
					'<li>'. esc_html__('Enter the bot&rsquo;s IP into the &ldquo;IP Address&rdquo; field', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Optionally enter any other infos in the remaining fields', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Click the &ldquo;Add bot&rdquo; button', 'blackhole-pro') .'</li>'. 
				'</ol>'.
				
				'<p>'. esc_html__('Here are some things to keep in mind:', 'blackhole-pro') .'</p>'. 
				
				'<ul>'. 
					'<li>'. esc_html__('The IP address is required, everything else is optional', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('All fields not provided in the form will be added automatically (e.g., ID, Date, Geo)', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('IPs must be unique, you cannot add a bot that already exists in the log', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('If the GeoIP Lookup fails for your added bot, click the &ldquo;Refresh Geo&rdquo; link to try again', 'blackhole-pro') .'</li>'. 
				'</ul>'. 
				
				'<p>'. esc_html__('Adding IPs to the blackhole is a fast and easy way to block any unwanted visitors :)', 'blackhole-pro') .'</p>'
			
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-whois-lookup',
			'title' => esc_attr__('Whois Lookup', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Whois Lookup', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('For each entry in the Bad Bots Log, there are three links for Whois lookups:', 'blackhole-pro') .'</p>'. 
				
				'<ul>'. 
					'<li>'. esc_html__('Whois Lookup via IP address &mdash; click the bot&rsquo;s IP', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Forward/Reverse Whois Lookup &mdash; click the bot&rsquo;s ID', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Whois Lookup via Hostname &mdash; click the reported Hostname', 'blackhole-pro') .'</li>'. 
				'</ul>'. 
				
				'<p>'. esc_html__('Clicking on any of these links will take you to a free Whois Lookup for that bot.', 'blackhole-pro') .'</p>'. 
				
				'<p>'. esc_html__('Here are some useful tools for further investigation:', 'blackhole-pro') .'</p>'. 
				
				'<ul>'. 
					'<li><a target="_blank" rel="noopener noreferrer" href="https://dnsquery.org/">dnsquery.org lookup tools</a></li>'. 
					'<li><a target="_blank" rel="noopener noreferrer" href="https://www.hcidata.info/host2ip.cgi">hcidata.info forward/reverse lookups</a></li>'. 
					'<li><a target="_blank" rel="noopener noreferrer" href="https://hackertarget.com/reverse-dns-lookup/">hackertarget.com reverse DNS lookup</a></li>'. 
				'</ul>'
			
		)
	);
	
	do_action('blackhole_badbots_contextual_help', $screen);
	
}
add_action('load-blackhole-pro_page_blackhole_badbots', 'blackhole_badbots_contextual_help');



function blackhole_license_contextual_help() {
	
	$screen = get_current_screen();
	
	if ($screen->id != 'blackhole-pro_page_blackhole_license') return;
	
	$screen->set_help_sidebar(blackhole_get_help_sidebar());
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'blackhole-license',
			'title' => esc_attr__('Plugin License', 'blackhole-pro'),
			'content' => 
				'<p><strong>'. esc_html__('Blackhole Pro License', 'blackhole-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Your purchase of Blackhole Pro entitles you to free updates and support according to the license terms. ', 'blackhole-pro') .
					esc_html__('To view your License Key at any time, ', 'blackhole-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/wp/wp-login.php">'. esc_html__('log in to your account at Plugin Planet', 'blackhole-pro') .'</a>.'.
				'</p>'. 
				
				'<p>'. esc_html__('To activate your license and enable the plugin, follow these steps:', 'blackhole-pro') .'</p>'. 
				
				'<ol>'. 
					'<li>'. esc_html__('Enter your license in the field and click &ldquo;Save License&rdquo;', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Click the &ldquo;Activate License&rdquo; button', 'blackhole-pro') .'</li>'. 
					'<li>'. esc_html__('Done! Blackhole Pro is now enabled and ready to use', 'blackhole-pro') .'</li>'. 
				'</ol>'. 
				
				'<p>'. 
					esc_html__('Alternately you can activate your license by adding a constant to WordPress wp-config.php.', 'blackhole-pro') .
					' <a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/activate-deactivate-plugin-license/#constant-activation">'. esc_html__('Learn more&nbsp;&raquo;', 'blackhole-pro') .'</a>'. 
				'</p>'.
				
				'<p><strong>'. esc_html__('Important:', 'blackhole-pro') .'</strong> '. esc_html__('remember to deactivate your license before uninstalling (deleting) the plugin, and/or transferring to a new domain.', 'blackhole-pro') .'</p>'. 
				
				'<p>'. 
					'<strong>'. esc_html__('Note:', 'blackhole-pro') .'</strong> '. 
					esc_html__('to deactivate the license at any time, click the &ldquo;Deactivate License&rdquo; button. ', 'blackhole-pro') . 
					esc_html__('To clear the license field, deactivate the license and click the small &ldquo;x&rdquo; button.', 'blackhole-pro') . 
				'</p>'.
				
				'<p>'. 
					esc_html__('For more information, visit', 'blackhole-pro') . 
					' <a target="_blank" rel="noopener noreferrer" href="'. BBB_HOME .'/activate-deactivate-plugin-license/">'. esc_html__('the activation guide', 'blackhole-pro') .'</a> '. 
					esc_html__('at Plugin Planet.', 'blackhole-pro') . 
				'</p>'
			
		)
	);
	
	do_action('blackhole_license_contextual_help', $screen);
	
}
add_action('load-blackhole-pro_page_blackhole_license', 'blackhole_license_contextual_help');
