<?php // Blackhole Pro - Display Settings

if (!defined('ABSPATH')) exit;

function blackhole_menu_pages() {
	
	$icon = apply_filters('blackhole_dash_icon', 'dashicons-shield-alt');
	
	// add_menu_page( $page_title, $menu_title, $capability, $menu_slug, $function, $icon_url, $position );
	add_menu_page(esc_html__('Blackhole Pro', 'blackhole-pro'), esc_html__('Blackhole Pro', 'blackhole-pro'), 'manage_options', 'blackhole_settings', 'blackhole_display_settings', $icon); // avoid duplicate menu item: menu function = submenu function
	
	// add_submenu_page( $parent_slug, $page_title, $menu_title, $capability, $menu_slug, $function );
	add_submenu_page('blackhole_settings', esc_html__('Settings', 'blackhole-pro'), esc_html__('Settings', 'blackhole-pro'), 'manage_options', 'blackhole_settings', 'blackhole_display_settings'); // avoid duplicate menu item: parent slug = menu slug
	add_submenu_page('blackhole_settings', esc_html__('Bad Bots', 'blackhole-pro'), esc_html__('Bad Bots', 'blackhole-pro'), 'manage_options', 'blackhole_badbots',  'blackhole_display_badbots');
	add_submenu_page('blackhole_settings', esc_html__('License',  'blackhole-pro'), esc_html__('License',  'blackhole-pro'), 'manage_options', 'blackhole_license',  'blackhole_display_license');
	
}

function blackhole_display_settings() { ?>
	
	<div class="wrap">
		<h1 class="bbb-title"><?php echo BBB_NAME; ?> <span><?php echo BBB_VERSION; ?></span></h1>
		<?php settings_errors(); ?>
		<?php echo blackhole_license_status(); ?>
		<form method="post" action="options.php">
			
			<?php 
				
				settings_fields('blackhole_pro_options');
				do_settings_sections('blackhole_pro_options');
				submit_button();
				
			?>
			
		</form>
	</div>
	
<?php }
