<?php /*
	
	Custom Warning Template
	
	This template is used by Blackhole Pro.
	It displays a warning message to bad bots.
	
	More info: https://plugin-planet.com/blackhole-pro/
	
*/

if (!defined('ABSPATH')) exit;

function blackhole_template($vars, $whois) {

foreach ($vars as $k => $v) ${$k} = isset($vars[$k]) ? $vars[$k] : '';

// BEGIN TEMPLATE

?><!DOCTYPE html>
<html lang="en-US">
	<head>
		<meta name="robots" content="noindex,nofollow,noarchive,nosnippet,noodp,noydir">
		<title>Welcome to Blackhole!</title>
		<style>
			body { font: 16px/1.8 'Helvetica Neue', Helvetica, Arial, sans-serif; color: #fff; background-color: #000; }
			.wrap { width: 96%; max-width: 800px; margin: 20px auto; }
			.note { padding: 20px; }
			.by { font-size: 12px; }
			.by a { color: #777; text-decoration: none; transition: color 0.3s; }
			.by a:hover { color: #fff; }
			h1 { margin: 0 0 30px 0; line-height: 1.2; font-size: 36px; }
			h2 { margin: 30px 0 20px 0; line-height: 1.2; font-size: 24px; }
			pre { 
				margin: 30px 0 20px 0; padding: 20px; line-height: 1.6; font-size: 14px; color: #fff; background-color: #333; border-radius: 1px; 
				word-break: break-word; white-space: pre-line; overflow-wrap: break-word; word-wrap: break-word; 
				}
			a { color: #fff; }
			a:hover { text-decoration: none; }
		</style>
	</head>
	<body>
		<div class="wrap">
			<div class="note">
				<h1>You have fallen into a trap!</h1>
				<p>
					This site&rsquo;s <a href="/robots.txt">robots.txt</a> rules explicitly forbid your presence at this location. 
					Because you did not obey the robots.txt rules, further requests from your IP Address will be denied access. 
					If you feel this is a mistake, you can access the site via proxy service and contact the administrator. 
				</p>
				<h2>Your Information</h2>
				<ul>
					<li><strong>IP Address:</strong> <?php echo $ip_address; ?></li>
					<li><strong>Host Name:</strong> <?php echo $remote_host; ?></li>
				</ul>
				<pre>WHOIS Lookup for IP: <?php echo $ip_address . "\n" . 'Request Date: '. $date . "\n\n" . $whois; ?></pre>
				<div class="by"><a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro/" title="Blackhole Pro WordPress Plugin">Blackhole Pro</a></div>
			</div>
		</div>
	</body>
</html><?php 

// END TEMPLATE

}
