<?php /*
	
	Simple Warning Template
	
	This template is used by Blackhole Pro.
	It displays a warning message to bad bots.
	
	More info: https://plugin-planet.com/blackhole-pro/
	
*/

if (!defined('ABSPATH')) exit;

function blackhole_template($vars, $whois) {

foreach ($vars as $k => $v) ${$k} = isset($vars[$k]) ? $vars[$k] : '';

// BEGIN TEMPLATE

?><!DOCTYPE html>
<html lang="en-US">
	<head>
		<meta name="robots" content="noindex,nofollow,noarchive,nosnippet,noodp,noydir">
		<title>Welcome to Blackhole!</title>
		<style>
			body { font: 16px/1.8 'Helvetica Neue', Helvetica, Arial, sans-serif; color: #333; background-color: #e8e8e8; }
			.wrap { width: 96%; max-width: 800px; margin: 20px auto; }
			.note { padding: 20px; background-color: #fff; border-radius: 1px; }
			.date { margin: 30px 0 20px 0; font: 14px/18px Monaco, monospace; color: #777; }
			.by { padding: 10px 5px; font-size: 12px; }
			.by a { color: #ccc; text-decoration: none; text-shadow: 0 1px 1px rgba(255,255,255,0.5); transition: color 0.3s; }
			.by a:hover { color: #aaa; }
			h1 { margin: 10px 0 30px 0; line-height: 1.2; font-size: 36px; }
			h2 { margin: 30px 0 20px 0; line-height: 1.2; font-size: 24px; }
			li { margin: 5px 0; }
			a { color: #cc3333; }
			a:hover { text-decoration: none; }
		</style>
	</head>
	<body>
		<div class="wrap">
			<div class="note">
				<h1>You have fallen into a trap!</h1>
				<p>
					This site&rsquo;s <a href="/robots.txt">robots.txt</a> rules explicitly forbid your presence at this location. 
					Because you did not obey the robots.txt rules, further requests from your IP Address will be denied access. 
					If you feel this is a mistake, you can access the site via proxy service and contact the administrator. 
				</p>
				<h2>Your Information</h2>
				<ul>
					<li><strong>IP Address:</strong> <?php echo $ip_address; ?></li>
					<li><strong>Host Name:</strong> <?php echo $remote_host; ?></li>
				</ul>
				<div class="date"><?php echo $date; ?></div>
			</div>
			<div class="by"><a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro/" title="Blackhole Pro WordPress Plugin">Blackhole Pro</a></div>
		</div>
	</body>
</html><?php 

// END TEMPLATE

}
